
bool smaller(int x);

int find_number(int MAX) {
    int l = 1, r = MAX;
    while (l < r) {
        int mid = (l + r) / 2 + bool(l + 1 == r);
        if (smaller(mid)) r = mid - 1;
        else l = mid;
    }
    return r;
}